Summary: Collection of MIME handling utilities
Name: metamail
Version: 2.7
Release: 10
Copyright: Distributable
Group: Applications/Mail
Source: ftp://thumper.bellcore.com/pub/nsp/metamail/mm2.7.tar.Z
Patch0: mm-2.7-make.patch
Patch1: mm-2.7-fonts.patch
Patch2: mm-2.7-glibc.patch
Patch3: mm-2.7-csh.patch
Patch4: mm-2.7-uudecode.patch
Requires: mktemp sharutils
BuildRoot: /tmp/metamail-root

%description
Metamail is an implementation of MIME, the Multipurpose Internet Mail
Extensions, a proposed standard for multimedia mail on the Internet.
Metamail implements MIME, and also implements extensibility and
configuration via the "mailcap" mechanism described in an
informational RFC that is a companion to the MIME document.

%changelog

* Wed Oct 14 1998 Pablo Saratxaga <srtxg@chanae.alphanet.ch>
- removed the script involved whith X11

* Fri Oct 24 1997 Erik Troan <ewt@redhat.com>

- added security fix for uudecode 
- requires mktemp, sharutils

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>

- built against glibc 

* Tue Apr 22 1997 Erik Troan <ewt@redhat.com>

Added security patch from Olaf for csh escapes.

%prep
%setup -n mm2.7
%patch0 -p1 -b .make
%patch1 -p1 -b .font
%patch2 -p1 -b .glibc
%patch3 -p1 -b .csh
%patch4 -p1 -b .tmpfiles

%build
cd src
make RPM_OPT_FLAGS=$RPM_OPT_FLAGS basics

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,lib/metamail,man/man1}
cd src
make install-all INSTROOT=$RPM_BUILD_ROOT/usr
mkdir -p $RPM_BUILD_ROOT/usr/lib/metamail/fonts
install -m644 fonts/*.pcf $RPM_BUILD_ROOT/usr/lib/metamail/fonts
install -m644 fonts/fonts.alias $RPM_BUILD_ROOT/usr/lib/metamail/fonts
mkfontdir $RPM_BUILD_ROOT/usr/lib/metamail/fonts

strip $RPM_BUILD_ROOT/usr/*bin/* || :
gzip -9 $RPM_BUILD_ROOT/usr/man/man?/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
# No need for X11 fonts
#/usr/lib/metamail
/usr/bin/audiocompose
/usr/bin/audiosend
/usr/bin/extcompose
/usr/bin/getfilename
/usr/bin/mailserver
/usr/bin/mailto
# as this script needs X11 and as in X11 you don't really need
# metamail, I commented out
#/usr/bin/mailto-hebrew
/usr/bin/metamail
/usr/bin/metasend
/usr/bin/mimencode
/usr/bin/mmencode
/usr/bin/patch-metamail
/usr/bin/rcvAppleSingle
/usr/bin/richtext
/usr/bin/richtoatk
/usr/bin/showaudio
/usr/bin/showexternal
/usr/bin/shownonascii
/usr/bin/showpartial
/usr/bin/showpicture
/usr/bin/sndAppleSingle
/usr/bin/splitmail
/usr/bin/sun-audio-file
/usr/bin/sun-message.csh
/usr/bin/sun-to-mime
/usr/bin/sun2mime
/usr/man/man1/audiocompose.1.gz
/usr/man/man1/audiosend.1.gz
/usr/man/man1/extcompose.1.gz
/usr/man/man1/getfilename.1.gz
/usr/man/man1/mailto-hebrew.1.gz
/usr/man/man1/mailto.1.gz
/usr/man/man1/metamail.1.gz
/usr/man/man1/metasend.1.gz
/usr/man/man1/mime.1.gz
/usr/man/man1/mimencode.1.gz
/usr/man/man1/mmencode.1.gz
/usr/man/man1/patch-metamail.1.gz
/usr/man/man1/richtext.1.gz
/usr/man/man1/showaudio.1.gz
/usr/man/man1/showexternal.1.gz
/usr/man/man1/shownonascii.1.gz
/usr/man/man1/showpartial.1.gz
/usr/man/man1/showpicture.1.gz
/usr/man/man1/splitmail.1.gz
